hashTable_s Struct Reference
Collaboration diagram for hashTable_s:
[legend]

## Data Fields

struct rpmioItem_s | _item
int | numBuckets
size_t | keySize
int | freeData
hashBucket * | buckets
hashFunctionType | fn
hashEqualityType | eq

## Detailed Description

Definition at line 30 of file rpmhash.c.

## Field Documentation

struct rpmioItem_s hashTable_s::_item

usage mutex and pool identifier.

Definition at line 31 of file rpmhash.c.

hashBucket* hashTable_s::buckets

hash bucket array

Definition at line 35 of file rpmhash.c.

Referenced by findEntry(), htAddEntry(), htCreate(), htFini(), and htGetKeys().

hashEqualityType hashTable_s::eq

compare hash keys for equality

Definition at line 39 of file rpmhash.c.

Referenced by findEntry(), htAddEntry(), and htCreate().

hashFunctionType hashTable_s::fn

generate hash value for key

Definition at line 37 of file rpmhash.c.

Referenced by findEntry(), htAddEntry(), and htCreate().

int hashTable_s::freeData

should data be freed when table is destroyed?

Definition at line 34 of file rpmhash.c.

Referenced by htCreate(), and htFini().

size_t hashTable_s::keySize

size of key (0 if unknown)

Definition at line 33 of file rpmhash.c.

Referenced by htAddEntry(), htCreate(), and htFini().

int hashTable_s::numBuckets

number of hash buckets

Definition at line 32 of file rpmhash.c.

Referenced by findEntry(), htAddEntry(), htCreate(), htFini(), and htGetKeys().

The documentation for this struct was generated from the following file:

- rpmio/rpmhash.c